Site news

General news and announcements

Page: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 ()
DiscussionStarted byRepliesLast post
PinnedDAILY SCHEDULE, FRI., JAN. 13 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 12 Jan 2017, 2:46 pm
DAILY SCHEDULE - FRI., FEB. 22 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 21 Feb 2019, 4:46 pm
DAILY SCHEDULE - THURS., FEB. 21 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 20 Feb 2019, 1:15 pm
DAILY SCHEDULE - WED., FEB. 20 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 19 Feb 2019, 9:58 am
DAILY SCHEDULE -TUE., FEB. 19 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 19 Feb 2019, 7:50 am
Monday, February 18 - Presidents' Day - School Closed Picture of Shannon Nelson Shannon Nelson 0 Shannon Nelson
Fri, 15 Feb 2019, 1:42 pm
DAILY SCHEDULE - FRI., FEB. 15 Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 14 Feb 2019, 11:23 am
DAILY SCHEDULE - THURS., FEB. 14 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 13 Feb 2019, 11:09 am
DAILY SCHEDULE - WED., FEB. 13 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 13 Feb 2019, 8:25 am
DAILY SCHEDULE - TUES., FEB. 12 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 12 Feb 2019, 11:18 am
DAILY SCHEDULE - TUES., FEB. 12 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 12 Feb 2019, 7:58 am
DAILY SCHEDULE - MON., FEB. 11 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 8 Feb 2019, 1:11 pm
DAILY SCHEDULE - FRI., FEB. 8 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 7 Feb 2019, 10:23 am
DAILY SCHEDULE - THURS., FEB. 7 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 6 Feb 2019, 11:10 am
DAILY SCHEDULE - WED., FEB. 6 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 5 Feb 2019, 10:51 am
DAILY SCHEDULE - TUES., FEB. 5 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 4 Feb 2019, 11:11 am
DAILY SCHEDULE - MON., FEB. 4 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 4 Feb 2019, 9:14 am
DAILY SCHEDULE - FRI., FEB. 1 - SCHOOL CLOSED DUE TO WEATHER Picture of Shannon Nelson Shannon Nelson 0 Shannon Nelson
Fri, 1 Feb 2019, 6:27 am
DAILY SCHEDULE: THURSDAY, JANUARY 31 - SCHOOL CLOSED DUE TO WEATHER Picture of Shannon Nelson Shannon Nelson 0 Shannon Nelson
Wed, 30 Jan 2019, 3:55 pm
DAILY SCHEDULE - WED., JAN. 30 - SCHOOL CLOSED DUE TO WEATHER Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 30 Jan 2019, 8:25 am
DAILY SCHEDULE - TUES., JAN. 29 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 28 Jan 2019, 9:46 am
DAILY SCHEDULE - MON., JAN. 28 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 25 Jan 2019, 1:55 pm
DAILY SCHEDULE - FRI., JAN. 25 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 24 Jan 2019, 10:51 am
DAILY SCHEDULE - THURS., JAN. 24 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 24 Jan 2019, 8:20 am
DAILY SCHEDULE - WED., JAN. 23 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 22 Jan 2019, 11:07 am
DAILY SCHEDULE - TUES., JAN. 22 "A" Day Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 22 Jan 2019, 7:26 am
DAILY SCHEDULE - FRI., JAN. 18 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 17 Jan 2019, 10:55 am
DAILY SCHEDULE - THURS., JAN. 17 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 16 Jan 2019, 9:44 am
DAILY SCHEDULE - WED., JAN. 16 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 15 Jan 2019, 10:21 am
DAILY SCHEDULE - TUES., JAN. 15 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 14 Jan 2019, 11:32 am
DAILY SCHEDULE - MON., JAN. 14 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 11 Jan 2019, 10:55 am
DAILY SCHEDULE - FRI., JAN. 11 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 10 Jan 2019, 11:32 am
DAILY SCHEDULE - THURS., JAN. 10 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 9 Jan 2019, 10:48 am
DAILY SCHEDULE - WED., JAN. 9 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 9 Jan 2019, 8:10 am
DAILY SCHEDULE - TUES., JAN. 8 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 7 Jan 2019, 8:17 pm
DAILY SCHEDULE - MON., JAN. 7 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 7 Jan 2019, 8:17 pm
Happy New Year! Picture of Shannon Nelson Shannon Nelson 0 Shannon Nelson
Mon, 31 Dec 2018, 8:33 am
DAILY SCHEDULE - FRI., DEC. 21 Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 20 Dec 2018, 12:50 pm
DAILY SCHEDULE - THURS., DEC. 20 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 19 Dec 2018, 11:05 am
DAILY SCHEDULE - WED., DEC. 19 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 18 Dec 2018, 10:00 am
DAILY SCHEDULE - TUES., DEC. 18 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 17 Dec 2018, 9:31 am
DAILY SCHEDULE - MON., DEC. 17 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 14 Dec 2018, 11:36 am
DAILY SCHEDULE - FRI., DEC. 14 “D” DAY Picture of Shannon Nelson Shannon Nelson 0 Shannon Nelson
Fri, 14 Dec 2018, 8:00 am
DAILY SCHEDULE - THURS., DEC. 13 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 12 Dec 2018, 9:43 am
DAILY SCHEDULE - WED., DEC. 12 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 11 Dec 2018, 11:41 am
DAILY SCHEDULE - TUES., DEC. 11 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 11 Dec 2018, 9:53 am
DAILY SCHEDULE - MON., DEC. 10 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 7 Dec 2018, 9:01 am
DAILY SCHEDULE - FRI., DEC. 7 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 6 Dec 2018, 9:14 am
DAILY SCHEDULE - THURS., DEC. 6 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 5 Dec 2018, 8:21 am
DAILY SCHEDULE - WED., DEC. 5 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 5 Dec 2018, 8:08 am
DAILY SCHEDULE - WED., DEC. 5 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 5 Dec 2018, 7:56 am
DAILY SCHEDULE - TUES., DEC. 4 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 3 Dec 2018, 11:57 am
DAILY SCHEDULE - MON., DEC. 3 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 30 Nov 2018, 11:54 am
DAILY SCHEDULE - FRI., NOV. 30 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 30 Nov 2018, 11:53 am
DAILY SCHEDULE - FRI., NOV. 30 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 30 Nov 2018, 10:21 am
DAILY SCHEDULE - THURS., NOV. 29 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 29 Nov 2018, 8:07 am
DAILY SCHEDULE - WED., NOV. 28 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 27 Nov 2018, 10:19 am
DAILY SCHEDULE - TUES., NOV. 27 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 26 Nov 2018, 10:55 am
DAILY SCHEDULE - MON., NOV. 26 ‘B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 26 Nov 2018, 10:17 am
Thanksgiving Break Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 20 Nov 2018, 10:20 am
DAILY SCHEDULE - TUES., NOV. 20 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 19 Nov 2018, 11:45 am
DAILY SCHEDULE - MON., NOV. 19 ‘F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 16 Nov 2018, 11:25 am
DAILY SCHEDULE - FRI., NOV. 16 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 16 Nov 2018, 8:06 am
DAILY SCHEDULE - THURS., NOV. 15 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 14 Nov 2018, 10:15 am
DAILY SCHEDULE - WED., NOV. 14 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 13 Nov 2018, 10:24 am
DAILY SCHEDULE - TUES., NOV. 13 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 12 Nov 2018, 10:09 am
DAILY SCHEDULE - MON., NOV. 12 ‘A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 9 Nov 2018, 10:13 am
DAILY SCHEDULE - FRI., NOV. 9 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 8 Nov 2018, 12:36 pm
DAILY SCHEDULE - THURS., NOV. 8 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 7 Nov 2018, 8:59 am
DAILY SCHEDULE - WED., NOV. 7 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 6 Nov 2018, 10:08 am
DAILY SCHEDULE - TUES., NOV. 6 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 5 Nov 2018, 11:19 am
DAILY SCHEDULE - MON., NOV. 5 Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Sun, 4 Nov 2018, 10:18 am
DAILY SCHEDULE - FRI., NOV. 2 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 2 Nov 2018, 2:30 pm
DAILY SCHEDULE - THURS., NOV. 1 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 1 Nov 2018, 8:22 am
DAILY SCHEDULE - WED., OCT. 31 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 30 Oct 2018, 10:33 am
DAILY SCHEDULE - TUES., OCT. 30 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 29 Oct 2018, 11:41 am
DAILY SCHEDULE - MON., OCT. 29 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 29 Oct 2018, 9:04 am
DAILY SCHEDULE - FRI., OCT. 26 Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 25 Oct 2018, 10:43 am
DAILY SCHEDULE - THURS., OCT. 25 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 24 Oct 2018, 10:51 am
DAILY SCHEDULE - WED., OCT. 24 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 24 Oct 2018, 8:19 am
DAILY SCHEDULE - TUES., OCT. 23 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 23 Oct 2018, 8:25 am
DAILY SCHEDULE - MON., OCT. 22 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 19 Oct 2018, 2:02 pm
DAILY SCHEDULE - FRI., OCT. 19 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 19 Oct 2018, 9:16 am
DAILY SCHEDULE - THURS., OCT. 18 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 18 Oct 2018, 9:28 am
DAILY SCHEDULE - WED., OCT. 17 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 16 Oct 2018, 9:25 am
DAILY SCHEDULE - TUES., OCT. 16 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 15 Oct 2018, 10:40 am
DAILY SCHEDULE - MON., OCT. 15 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Fri, 12 Oct 2018, 10:29 am
DAILY SCHEDULE - FRI., OCT. 12 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 11 Oct 2018, 11:59 am
DAILY SCHEDULE - THURS., OCT. 11 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 10 Oct 2018, 9:34 am
DAILY SCHEDULE - WED., OCT. 10 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 9 Oct 2018, 2:34 pm
DAILY SCHEDULE - TUES., OCT. 9 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 8 Oct 2018, 10:54 am
DAILY SCHEDULE - MON., OCT. 8 “B” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Mon, 8 Oct 2018, 9:14 am
DAILY SCHEDULE - FRI., OCT. 5 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 4 Oct 2018, 1:01 pm
DAILY SCHEDULE - THURS., OCT. 4 “F” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 3 Oct 2018, 6:08 pm
DAILY SCHEDULE - WED., OCT. 3 “E” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Wed, 3 Oct 2018, 8:27 am
DAILY SCHEDULE - TUES., OCT. 2 “D” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 2 Oct 2018, 10:39 am
DAILY SCHEDULE - MON., OCT. 1 Picture of Shannon Nelson Shannon Nelson 0 Shannon Nelson
Fri, 28 Sep 2018, 10:56 am
DAILY SCHEDULE - FRI., SEPT. 28 “C” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Thu, 27 Sep 2018, 11:09 am
DAILY SCHEDULE - THURS., SEPT. ​27​ “​B​” DAY Picture of Shannon Nelson Shannon Nelson 0 Shannon Nelson
Thu, 27 Sep 2018, 8:34 am
DAILY SCHEDULE - WED., SEPT. 26 “A” DAY Evelyn Kelley-Antoine Evelyn Kelley-Antoine 0 Evelyn Kelley-Antoine
Tue, 25 Sep 2018, 10:46 am
Page: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 ()